import { EventEmitter, OnChanges, OnInit, SimpleChanges } from "@angular/core";
import { TranslateLibraryService } from "../../services/translation-registry.service";
import { Logs } from "./comment-log.model";
export declare class QMSComment implements OnInit, OnChanges {
    trans: TranslateLibraryService;
    sourceLog: Logs[];
    updateLog: EventEmitter<any>;
    LANG: any;
    constructor(trans: TranslateLibraryService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    showContent(content: any): any;
    editContent(item: Logs): void;
    saveEditedContent(item: Logs): void;
    removeItem(item: Logs): void;
    regretItem(item: Logs): void;
    checkInvalidContent(item: Logs): boolean;
}
